Galeon Extra Prefs
==================

There are some prefs available in galeon that are not directly
available in the UI. These options can be configured using gconf
either using gconftool, or gconf-editor. Consult the gconftool or
gconf-editor documentation for information on setting values.

If a mozilla preference is specified then the gconf key directly
alters the specified mozilla preference. Changes made using the
"about:config" page will be lost.

In addition to these, mozilla exposes a lot of other preferences for
rendering which can be altered using the "about:config" page.

User Agent
----------

User agent: 
	/apps/galeon/Advanced/Network/user_agent (string)
	Use "default" for the default galeon string
	(mozilla pref: general.useragent.override )

Tabs
----
Favicons in tabs
	/apps/galeon/UI/Tabs/favicons_in_tabs (int)
	0: no favicons in tabs
	1: favicons in tabs
	2: only show favicons in tabs when there's one (default)

Position of tabs in window
        /apps/galeon/UI/Tabs/tabbed_position (int)
        0: left
	1: right
	2: top   (default)
	3: bottom

Color of tabs
	/apps/galeon/UI/Tabs/tabbed_loading_color (string)
	The color of the tabs while they are loading
	(default=#ff0000)

	/apps/galeon/UI/Tabs/tabbed_new_color (string)
	The color of tabs which are unvisited, but have finished loading
	(default=#0000ff)

Toolbars
--------
Override the system toolbar style
	/apps/galeon/UI/Toolbar/toolbar_override_style
	system: Respect the system style
	icons_only: Show toolbars as icons only
	text_only: Show toolbars as text only
	text_below: Show toolbars as icons with text below
	text_beside: Show toolbars as icons with selective text beside
	
Show toolbar, bookmark toolbars, statusbar, and sidebar in fullscreen mode:
	/apps/galeon/UI/Windows/show_toolbars_in_fullscreen (bool)
	(default=true)

	/apps/galeon/UI/Windows/show_bookmarks_in_fullscreen (bool)
	(default=false)

	/apps/galeon/UI/Windows/show_statusbar_in_fullscreen (bool)
	(default=false)

	/apps/galeon/UI/Windows/show_sidebar_in_fullscreen (bool)
	(default=false)

Bookmark system
---------------

Show SBM History Drop-down:
        /apps/galeon/Browsing/Bookmarks/smart_bm_history (bool)
	When TRUE, the history of previous SMB searches will be shown
	(default=false)

Show SBM arrow buttons:
	/apps/galeon/Browsing/Bookmarks/smartbookmarks_hide_arrows (bool)
	When TRUE, the arrow buttons in a SBM will no longer be shown
	(default=false)

Number of bookmarks to allow opening at the same time before asking for confirmation:
	/apps/galeon/Browsing/Bookmarks/many_bookmarks_warning_threshold
	(default=10)

Location Entry
--------------

Show titles in the autocompletion alternatives window.
	/apps/galeon/Browsing/History/completion_show_titles (bool)
	(default=true)
	
Enable autocompletion (automatically append common prefix)
	/apps/galeon/Browsing/History/completion_enabled (bool)
	(default=false)

Security
--------

Allow re-writing of the statusbar via javascript
	/apps/galeon/Advanced/Filtering/default_allow_statusbar (bool)
	(default=true)

Accessibility
-------------

Web Page colors
	/apps/galeon/Rendering/FontsColors/use_own_colors (bool)
	Use the colors specified below for all web page colors.
	(default=false)
	(mozilla pref: browser.display.use_document_colors (inverted) )

	/apps/galeon/Rendering/FontsColors/background_color (string)
	(default=#FFFFFF)
	(mozilla pref: browser.display.background_color)

	/apps/galeon/Rendering/FontsColors/text_color (string)
	(default=#000000)
	(mozilla pref: browser.display.foreground_color)

	/apps/galeon/Rendering/FontsColors/visited_link_color (string)
	(default=#ff0000)
	(mozilla pref: browser.visited_color)

	/apps/galeon/Rendering/FontsColors/unvisited_link_color (string)
	(default=#0000ff)
	(mozilla pref: browser.anchor_color)

Use own fonts for web pages
	/apps/galeon/Rendering/FontsColors/use_own_fonts (bool)
	(default=false)
	(mozilla pref: browser.display.use_document_colors (inverted) )

Underline links
	/apps/galeon/Rendering/FontsColors/underline_links (bool)
	(default=true)
	(mozilla pref: browser.underline_anchors)


Downloading and Mailing
-----------------------

Automatic downloading:

	/apps/galeon/Handlers/Downloading/ask_for_download_dir (bool)
	Ask which directory to download files into
	(default=true)
	
	/apps/galeon/Handlers/Downloading/download_dir (string)
	The default download directory
	(default=<users home directory>)

External Download program:
	
	/apps/galeon/Handlers/Downloading/external_downloader (bool)
	Set to TRUE to use an external download program
	(default=false)

	/apps/galeon/Handlers/Downloading/external_download_command
	The command to run to download a url (%s is replaced with the url)
	(default="darxget %s")

	/apps/galeon/Handlers/Downloading/external_download_terminal
	Whether to open the downloader in a terminal
	(default=false)

Alternative Mail program:

	/apps/galeon/Handlers/Programs/gnome_mailer (bool)
	By default the GNOME mailer will be used, set this preference
	to FALSE to use an alternative.
	(default=true)

	/apps/galeon/Handlers/Programs/mailer (string)
	The program to use for handling mailto links when not using
	the gnome-mailer (no default)
	(See documentation for support % expansions)

Misc
----

History expiry
	/apps/galeon/Browsing/History/expire (int)
	The number of days to keep the history for
	(default=30)


Misc Mozilla prefs
------------------

Cache compare:
	/apps/galeon/Advanced/Network/cache_compare (int)
	When to compare cached copy to web copy
	0: once per session
	1: every time
	2: never
	3: automatic (default)
	(mozilla pref: browser.cache.check_doc_frequency)

HTTP Version
	/apps/galeon/Advanced/Network/http_version (int)
	0: HTTP Version 1.0
	1: HTTP Version 1.1 (default)
	(mozilla pref: network.http.version)

Proxy keepalives:
	/apps/galeon/Advanced/Network/proxy_keepalive
	Whether to enable keepalive connections through proxys
	(default: true)
	(mozilla pref: network.http.proxy.keep-alive)

